ThemeSelector not included

Bug #772221 reported by Daniel Sandman on 2011-04-28
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
GNOME Shell Extensions
High
JC Hulce
ugr-seeds
High
JC Hulce
Baltix
Undecided
Unassigned
Ubuntu
Undecided
Unassigned

Bug Description

Theme selection and management is currently impossible from a GUI in GNOME 3.

This link shows how to install themeselector, which allows themes to be selected and used.
http://www.webupd8.org/2011/04/themeselector-gnome-shell-extension-to.html

JC Hulce (soaringsky) wrote :

This is a major issue - there is currently no way to change themes. I'll target this for 0.1.X and write a blueprint.

summary: - Include ThemeSelector as standard?
+ ThemeSelector not included
description: updated
Changed in ugr-meta:
importance: Undecided → High
status: New → Confirmed
assignee: nobody → JC Hulce (soaringsky)
gdelt (gdelt) wrote :

you might also like this one

gdelt (gdelt) wrote :

you might also like this one

23dornot23d (keithaerospace92) wrote :

Found a fix for adding the theme selector in this thread ......

Step 1

Get these 2 debian files and install them using gdebi in a terminal ..... as you have to run as root and
answer yes to the question ......

C Bowman made the debs available here ...... from Fedora ....

http://cid-32ec6e89f4aa803b.office.live.com/browse.aspx/Linux?wa=wsignin1.0&sa=168264950

Step 2
Then following on from the Musings thread - as I have added below .......
add these into the directory shown below .... allows a Theme selector to work .....

download these and put them in .....
http://fpmurphy.com/public/themeselector-0.8.tar.gz

Place the downloaded tarball in $HOME/.local/share/gnome-shell/ and unpack it.

reboot and the Theme selector should now be available ....
_____________

Original thread ...... where the question was asked ..... about how to add the Theme selector .....
http://ubuntuforums.org/showthread.php?p=10753298#post10753298

Musings Thread with the theme selector and all the information .......
http://blog.fpmurphy.com/2011/04/gnome-shell-theme-selector-preview.html

_____________

The two steps given above were a solution on two of my systems ....... and solved the problem in the thread too.

 If the above steps can be incorporated now ...... into UGR it would be good ......

I do 3D not programming so if someone else can pick this up - it would be good ..... thank you ....

JC Hulce (soaringsky) wrote :

Thanks for that... then I might not have to package them myself. Is the source for those packages available (specifically the packaging information - stuff in the debian folder)?

I have no experience (yet) with packaging, but it's high on my
"to-learn" list. I'll do some research over the next couple days; if
someone want to spend some time walking me thru the process, and
detailing any gottchas I should know before beginning, I'd be willing
to jump on this wagon.

/tom

On Mon, May 2, 2011 at 3:24 PM, JC Hulce <email address hidden> wrote:
> Thanks for that... then I might not have to package them myself.  Is the
> source for those packages available (specifically the packaging
> information - stuff in the debian folder)?
>
> --
> You received this bug notification because you are a member of Ubuntu
> GNOME Remix: Testing Team, which is subscribed to UGR (Ubuntu Gnome
> Remix) Project.
> https://bugs.launchpad.net/bugs/772221
>
> Title:
>  ThemeSelector not included
>
> Status in Ubuntu Gnome Remix Metapackages:
>  Confirmed
>
> Bug description:
>  Theme selection and management is currently impossible from a GUI in
>  GNOME 3.
>
>  This link shows how to install themeselector, which allows themes to be selected and used.
>  http://www.webupd8.org/2011/04/themeselector-gnome-shell-extension-to.html
>
> --
> Mailing list: https://launchpad.net/~ugr-testing
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~ugr-testing
> More help   : https://help.launchpad.net/ListHelp
>

23dornot23d (keithaerospace92) wrote :

Not sure how to find that out .....

http://ubuntuforums.org/member.php?u=1089002
CBowman seems to be the man on the forum ..... who got them together he may know more his link is above ,

I am not up on how to find that out - but I will try to get some more information.

Daniel Sandman (almehdi) wrote :

I followed the instructions in the webupd8 link i posted to make the debs. They are done by alien and might not be suffient for the repo but i can attach them here.

They do not contain the usual stuff in /debian/ but have the file structure correct.

Daniel Sandman (almehdi) wrote :
23dornot23d (keithaerospace92) wrote :

As said they were a alien conversion .....

Link to where the files exist in Fedora .rpms

gnome-shell-extensions-common
http://rpmfind.net/linux/RPM/fedora/updates/testing/15/x86_64/gnome-shell-extensions-common-3.0.1-1.f016b9git.fc15.noarch.html

gnome-shell-extension-user-themes
http://rpmfind.net/linux/RPM/fedora/updates/testing/15/x86_64/gnome-shell-extensions-user-theme-3.0.1-1.f016b9git.fc15.noarch.html

and more information is shown in them, hope it helps in some way .....
Thanks to C Bowman for the links .... too

Daniel Sandman (almehdi) wrote :

They have changed how the themes file are installed. The new 0.9 can be downloaded here. The debs i made with alien does not need to be changed thoug. They are still the latest versions.

The new instructions can be found here: http://www.webupd8.org/2011/05/orta-and-drakfire-caffe-amazing-new.html

walkerstreet (dbonner) wrote :

Re: Error in instructions.

The article at http://www.webupd8.org/2011/04/themeselector-gnome-shell-extension-to.html has and error in it.

The second last paragraph of the article should read:

"Download the Themeselector Gnome Shell extension, extract it and place "extension.js" and metadata.json under the /.local/share/gnome-shell/ extensions /<email address hidden>/ folder"

It needs to be installed in the extensions folder in order to work.

Daniel

Daniel Sandman (almehdi) wrote :

Re: Error in instructions.

I am not sure about you walkerstreet but i have them in the "/<email address hidden>/" folder which works for me.

walkerstreet (dbonner) wrote :

Re: Error in instructions

Andrew responded to my email and corrected his instructions:
The correct path is:
/.<email address hidden>/
His article used to specify the following wrong path:
/.<email address hidden>/

-------- Forwarded Message --------
From: Andrew <email address hidden>
> To: Daniel>
> Subject: Re: Error in Themeselector article
> Date: Tue, 3 May 2011 09:53:03 +0300

Hello,

I've updated it yesterday and seems I forgot /extensions, thanks!

-Andrew

WebUpd8: http://www.webupd8.org
Twitter: http://twitter.com/WebUpd8
Facebook: http://www.facebook.com/webupd8

JC Hulce (soaringsky) wrote :

Thank you for your hard work everyone. Unfortunately, due to the way launchpad works, I can only upload a source package to he repo and have lp build it, or have launchpad build source code with packaging info. I'll set up a themeselector sub project that will automagicallly get the latest code from git and combine it with debian/ packaging info we provide.

Daniel Sandman (almehdi) wrote :

Thanks both for the clarification.

@walkerstreet: I didn't notice that the instructions had been changed wrongly.. When i looked they where correct. ;)

@JC Hulce: That is good to know. Do it use "changes", "dsc" and "tar.gz" or just source packages? The solution you provided sounds like most proper one. We are short on manpower and that could save some work.

cbowman57@live.com (cbowman57) wrote :

@23dornot23d, I'm just a stereotypical ubuntu user, not a programmer. I'll contribute what I can to the project.

23dornot23d (keithaerospace92) wrote :

Thanks for joining in have seen many useful links and very good information from you ....
we have no pressure step by step ..... little by little gets the job done as we say .......

I have a feeling the way people are picking up on Gnome shell and finding out how easy
it is to use ..... plus a clean and organized desktop .... may pull people into the project for
all the right reasons ...... ;)

JC Hulce (soaringsky) wrote :

@Daniel launchpad uses the "changes", "dsc" and "tar.gz" also I think (I know for sure it uses the changes).

Will this be fixed by the Constellation release?

Not by 0.1.x it won't. It'll be good by 1.0

JC Hulce

On May 5, 2011, at 8:31 AM, Chris Gummin <email address hidden> wrote:

> Will this be fixed by the Constellation release?
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/772221
>
> Title:
> ThemeSelector not included
>
> Status in Ubuntu Gnome Remix Metapackages:
> Confirmed
>
> Bug description:
> Theme selection and management is currently impossible from a GUI in
> GNOME 3.
>
> This link shows how to install themeselector, which allows themes to be selected and used.
> http://www.webupd8.org/2011/04/themeselector-gnome-shell-extension-to.html

JC Hulce (soaringsky) on 2011-05-16
Changed in gnome-shell-extensions:
assignee: nobody → JC Hulce (soaringsky)
status: New → Confirmed
importance: Undecided → High
Changed in ugr-meta:
milestone: none → 1.0.0
JC Hulce (soaringsky) on 2011-06-17
Changed in ugr-meta:
milestone: 1.0.0 → 0.4.0
Fabio Marconi (fabiomarconi) wrote :

closed ubuntu task
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Changed in ubuntu:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers